Page MenuHomePhabricator

Whitelist people with +2 rights
Closed, ResolvedPublic

Description

Patches uploaded by developers with +2 rights are not being 'lint' -ed.

PS6 on https://gerrit.wikimedia.org/r/#/c/168948/ was uploaded by @Ricordisamoa , who has +2 rights, but only the 'noop' job was run by jenkins.

See T64429 and T87169 for other solutions, but this task is about whitelisting +2 'ers.

Can that whitelisting be done automatically? If not, someone needs to manually update the whitelist :/ .

Event Timeline

jayvdb created this task.Jan 23 2015, 7:06 AM
jayvdb raised the priority of this task from to Unbreak Now!.
jayvdb updated the task description. (Show Details)
jayvdb added subscribers: jayvdb, Legoktm, hashar, Ricordisamoa.
Restricted Application added subscribers: Aklapper, Unknown Object (MLST). · View Herald TranscriptJan 23 2015, 7:06 AM
Mpaa added a subscriber: Mpaa.Jan 24 2015, 8:09 PM

If someone can explain to me how to get the +2 list, I can submit the patch.

In T87413#993347, @Mpaa wrote:

If someone can explain to me how to get the +2 list, I can submit the patch.

https://gerrit.wikimedia.org/r/#/admin/groups/514,members

gerritbot added a subscriber: gerritbot.

Change 186611 had a related patch set uploaded (by Mpaa):
Whitelist pywikibot people with 2 rights

https://gerrit.wikimedia.org/r/186611

Patch-For-Review

XZise added a subscriber: XZise.Jan 26 2015, 3:06 PM

@Mpaa if you want to make it more automatic, you can query the members via SSH: ssh -p 29418 gerrit.wikimedia.org gerrit ls-members pywikibot.

Mpaa added a comment.Jan 30 2015, 10:37 PM

Can someone approve this?

Change 186611 merged by jenkins-bot:
Whitelist pywikibot people with 2 rights

https://gerrit.wikimedia.org/r/186611

hashar closed this task as Resolved.Feb 3 2015, 10:46 AM
hashar claimed this task.

Should be good now :-)

Mpaa set Security to None.
jayvdb added a comment.Feb 3 2015, 1:18 PM

Should be good now :-)

@Mpaa uploaded a new PS, and only the noop test ran.

https://gerrit.wikimedia.org/r/#/c/171780/

hashar added a comment.Feb 3 2015, 1:53 PM

The patchset uploaded by @Mpaa occurred BEFORE I got the change deployed. He can either comment 'recheck' or upload a new patchset and that should get the job to run.